# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 20010 Akretion LDTA (<http://www.akretion.com>).
#    @author Raphaël Valyi
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from tools.translate import _
from osv import fields, osv


class project_phase(osv.osv):
    _inherit = "project.phase"
    
    def _get_project_id(self, cr, uid, context={}):
        if context.get('selected_project_id', False):
            return context.get('selected_project_id')
        else:
            return False
    
    _defaults = {
        'project_id': _get_project_id,
    }

project_phase()


class project_project(osv.osv):
    _inherit = "project.project"

    def schedule(self, cr, uid, ids, context=None): #note: not very good to have it in that module, but visually better here in project form...
        wizard_obj = self.pool.get('project.compute.phases')
        for id in ids:
            wizard_id = wizard_obj.create(cr, uid, {'project_id': id}, context)
            wizard_obj.compute_date(cr, uid, [wizard_id], context)
        return self.open_phases(cr, uid, ids, context)

    def open_phases(self, cr, uid, ids, context=None):
        """
        Return the phases list.
        """
        return {
            'domain': "[('project_id','in',%s)]" % ids,
            'context': context,
            'name': 'Project Phases',
            'view_type': 'form',
            'view_mode': 'tree,form,calendar,gantt',
            'res_model': 'project.phase',
            'type': 'ir.actions.act_window',
            'nodestroy':True,            
        }


project_project()
